Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.scxml
Class Status

    java.lang.Object
      org.apache.commons.scxml.Status

All Implemented Interfaces:
  Serializable

public class Status
extends Object
implements Serializable

The encapsulation of the current state of a state machine.

See Also:
  Serialized Form

Constructor Summary
`Status()` Constructor.

Method Summary
`Set` | `getAllStates()` Get the complete states configuration.
`Collection` | `getEvents()` Get the events that are currently queued.
`Set` | `getStates()` Get the states configuration (leaf only).
`boolean` | `isFinal()` Have we reached a final configuration for this state machine.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Status

    public Status()

  Constructor.

Method Detail

### isFinal

    public boolean isFinal()

  Have we reached a final configuration for this state machine. True - if all the states are final and there are not events pending from the last step. False - otherwise.

  Returns:
    Whether a final configuration has been reached.

### getStates

    public Set getStates()

  Get the states configuration (leaf only).

  Returns:
    Returns the states configuration - simple (leaf) states only.

### getEvents

    public Collection getEvents()

  Get the events that are currently queued.

  Returns:
    The events that are currently queued.

### getAllStates

    public Set getAllStates()

  Get the complete states configuration.

  Returns:
    complete states configuration including simple states and their complex ancestors up to the root.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2008 The Apache Software Foundation. All Rights Reserved.